Zum Inhalt

Get itemAttributeValue

Retrieve the properties and relationships of a item attribute value object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/itemAttributeValuesWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a itemAttributeValue object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/itemAttributeValuesWebCon({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

    {        
        "id": "c7bcb026-0e30-ee11-bdfc-6045bde98c16",
        "actualID": 1,
        "value": "Rot",
        "blocked": false,
        "attributeValueID": 1
    }

See also

Tips for working with the APIs
ItemAttributeValue
Delete ItemAttributeValue
Create ItemAttributeValue
Update ItemAttributeValue